using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class CreateUser : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        //Need to pass extended membership data somewhere
        Context.Items["First Name"] = "Test First Name";
        Context.Items["Last Name"] = "Test Last Name";

        //Standard membership method signature
        if (!Membership.DeleteUser("testuser"))
        {
            Response.Write("Delete failed." + "<br/>");
        }

        MembershipCreateStatus status;
        Membership.CreateUser("testuser", "pass!word1", "testuser@extending.membershipdata.org",
                              "question", "answer", true, out status);

        if (status != MembershipCreateStatus.Success)
            Response.Write("Failure: " + status.ToString());
        else
            Response.Redirect("GetUser.aspx");

    }
}
