using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public class ApplicationAwareRoleProvider : SqlRoleProvider
{
    public ApplicationAwareRoleProvider() {}

    public override string ApplicationName
    {
        get
        {
            HttpContext c = HttpContext.Current;
            if (!String.IsNullOrEmpty((String)c.Items["portalID"]))
            {
                return (string)c.Items["portalID"];
            }
            else
                return base.ApplicationName;
        }
    }
}
