using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using MembershipWebServiceEndpoint;
using LoginServiceEndpoint;

public partial class AuthenticatedFindUser : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        LoginService ls = new LoginService();
        string ticket = ls.ValidateUserAndReturnFormsAuthTicket("testuser", "pass!word1");

        if (!String.IsNullOrEmpty(ticket))
        {
            //Pass the auth ticket in the SOAP header
            WebServiceFormsTicket wft = new WebServiceFormsTicket();
            wft.Ticket = ticket;
            MembershipWebService ms = new MembershipWebService();
            ms.WebServiceFormsTicketValue = wft;

            WebServiceProxyableSearchResult wsr =  ms.FindUsersByName("testuser%", 0, 5);
            if (wsr.TotalRecords > 0)
            {
                foreach (WebServiceProxyableMembershipUser wsu in wsr.SearchResult)
                    Response.Write(wsu.userName + "  " + wsu.email + "<br/>");
            }
        }
        else
        {
            Response.Write("Login failed.");
        }
    }
}
