using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using MembershipWebServiceEndpoint;
using LoginServiceEndpoint;

public partial class AuthenticatedGetUser : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        LoginService ls = new LoginService();
        string ticket = ls.ValidateUserAndReturnFormsAuthTicket("testuser", "pass!word1");

        if (!String.IsNullOrEmpty(ticket))
        {
            //Pass the auth ticket in the SOAP header
            WebServiceFormsTicket wft = new WebServiceFormsTicket();
            wft.Ticket = ticket;
            MembershipWebService ms = new MembershipWebService();
            ms.WebServiceFormsTicketValue = wft;

            WebServiceProxyableMembershipUser wmu = ms.GetUser("testuser", false);
            if (wmu != null)
                Response.Write(wmu.email + "<br/>");

            wmu = ms.GetUser("testuser2", false);
            if (wmu != null)
                Response.Write(wmu.email);
            else
                Response.Write("Could not retrieve user.");
        }
        else
        {
            Response.Write("Login failed.");
        }

    }
}
