using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using MembershipWebServiceEndpoint;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        MembershipWebService ms = new MembershipWebService();

        WebServiceProxyableMembershipUser mu = ms.GetUser("testuser", true);

        WebServiceProxyableMembershipUser wsmu = new WebServiceProxyableMembershipUser();
        wsmu.comment = mu.comment;
        wsmu.creationDate = mu.creationDate;
        wsmu.email = mu.email;
        wsmu.isApproved = mu.isApproved;
        wsmu.isLockedOut = mu.isLockedOut;
        wsmu.isOnline = mu.isOnline;
        wsmu.lastActivityDate = mu.lastActivityDate;
        wsmu.lastLockoutDate = mu.lastLockoutDate;
        wsmu.lastLoginDate = mu.lastLoginDate;
        wsmu.lastPasswordChangedDate = mu.lastPasswordChangedDate;
        wsmu.passwordQuestion = mu.passwordQuestion;
        wsmu.providerName = mu.providerName;
        wsmu.providerUserKey = mu.providerUserKey.ToString();
        wsmu.userName = mu.userName;

        //Update the lastactivitydate
        wsmu.lastActivityDate = DateTime.Now;


        ms.UpdateUser(wsmu);

        mu = ms.GetUser("testuser", false);
        Response.Write(mu.lastActivityDate + "<br/>");

        //Try to dump out search results
        WebServiceProxyableSearchResult sr =
            ms.FindUsersByName("test%", 0, 10);

        Response.Write("Total results " + sr.TotalRecords.ToString() + "<br/>");
        foreach (WebServiceProxyableMembershipUser m in sr.SearchResult)
        {
            Response.Write("Username: " + m.userName + "<br/>");
            Response.Write("Email:  " + m.email + "<br/>");
        }


    }
}
