using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Setup : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

        if (!Roles.RoleExists("Administrators"))
            Roles.CreateRole("Administrators");

        if (!Roles.RoleExists("Users"))
            Roles.CreateRole("Users");

        if (!Roles.RoleExists("Purchasers"))
            Roles.CreateRole("Purchasers");

        MembershipCreateStatus status;
        if (Membership.GetUser("testuser") == null)
        {
            Membership.CreateUser(
                "testuser", "pass!word1", "testuser@redirected.configuration",
                "question", "answer", true, out status);

            Roles.AddUserToRoles("testuser",
                new string[] { "Administrators", "Users", "Purchasers" });
        }
    }
}
