using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Setup : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Roles.RoleExists("Administrators"))
        {
            Roles.CreateRole("Administrators");
            Roles.CreateRole("Role A");
            Roles.CreateRole("Role B");
            Roles.CreateRole("Role C");
            Roles.CreateRole("Role D");
        }

        if (!Roles.IsUserInRole("testuser", "Administrators"))
        {
            Roles.AddUserToRoles("testuser", new string[] { "Administrators", "Role A", "Role B", "Role C", "Role D" });
        }

    }
}
