using System;
using System.Collections.Generic;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Xml.Serialization;

[XmlRoot(Namespace="http://microsoft.com/aspnet/prototype/membership")]
public class WebServiceProxyableSearchResult
{
    private List<WebServiceProxyableMembershipUser> searchResult;
    private int totalRecords;

	public WebServiceProxyableSearchResult() {}
    public WebServiceProxyableSearchResult(
        List<WebServiceProxyableMembershipUser> results,
        int total)
    {
        searchResult = results;
        totalRecords = total;
    }

    public List<WebServiceProxyableMembershipUser> SearchResult
    {
        get { return searchResult; }
        set { searchResult = value; }
    }

    public int TotalRecords
    {
        get { return totalRecords; }
        set { totalRecords = value; }
    }

}
